orzia_room = {}
orzia_room.__index = orzia_room

function orzia_room.create(x, y, w ,h)

	local room = {}             
	setmetatable(room, orzia_room)  

	room.x1 = x
	room.y1 = y
	room.x2 = x + w
	room.y2 = y + h
	room.w = w
	room.h = h
	room.centerx = math.ceil((room.x1 + room.x2) / 2)
	room.centery = math.ceil((room.y1 + room.y2) / 2)
	
	return room
	 
end

function orzia_room:doesIntersect(other_room)

	if self.x1 - 1 <= other_room.x2 and self.x2 + 1 >= other_room.x1 and
		self.y1 - 1 <= other_room.y2 and self.y2 + 1 >= other_room.y1 then

		return true

	else

		return false

	end

end